== Changelog ==
= 4.1.0 (09-06-2026) =

**New Modules:**
- **Social Share** — share buttons for popular networks, fully server-rendered and CSS-only.
- **Table of Contents** — auto-generated, anchor-linked contents from page headings.
- **Number Counter** — animated count-up numbers with prefix/suffix and styling controls.
- **Advanced Button** — richer button with dual icons, hover styles, and states.
- **Text Highlighter** — animated highlight/underline effects for emphasis text.
- **Inline Content** — mix text, icons, images, buttons, and dividers in a single flowing line.
- **Hover Box** — reveal content on hover with CSS-only transitions.
- **Animated Heading** — headlines with rotating/animated phrases.
- **Floating Images** — decorative images with parallax-style floating motion.
- **Image Reveal** — images that reveal on scroll or hover.
- **Advanced Video** — styled video player with custom poster and overlay controls.
- **Image Carousel** — touch-friendly image carousel with autoplay, loop, and effects.
- **Logo Grid** — responsive grid/marquee of brand logos.
- **Skill Bar** — animated progress/skill bars with labels and percentages.
- **Author Box** — author bio block with avatar, social links, and layouts.

**Admin Dashboard Redesign:**
- Rebuilt the admin area as a modern React single-page app (Tailwind + shadcn) with a light/dark theme.
- Live dashboard stats and a modules-by-category library breakdown.
- Modules and Extensions management with search, category filters, bulk actions, and an unsaved-changes save bar.
- What's New changelog timeline, real Freemius affiliate program terms and application status, and an Account screen with license activation and an anonymous-usage-sharing toggle.
- Brand-aligned Freemius account, pricing, and affiliation pages.

**Changes:**
- Renamed the admin page slug from `divi_squad_dashboard` to `divi_squad`. Existing links and bookmarks to the old slug (including Freemius sub-pages) are permanently redirected to the new slug automatically.

**Improvements:**
- Reorganized the Divi 4 and Divi 5 builder source into a shared structure, consolidating cross-version Supports/Module helpers and the build shell.
- Standardized PHP interface and class naming, and added per-module brand icons for the Divi 4 builder.
- Generated an inline module-icon registry at build time for the admin app.
- Expanded automated test coverage for the core and builder layers.

**Bug Fixes:**
- Fixed two fatal errors in the Inline Content module caused by method overrides incompatible with `ET_Builder_Element` (`render_button`, `render_image`).
- Fixed the Modules/Extensions batch enable/disable save path and URL-unsafe category routes in the REST API.
- Corrected the admin REST namespace, dashboard live-data mapping, and several admin styling regressions against wp-admin core CSS.

= 4.0.0 (30-05-2026) =

**Major: Native Divi 5 (Block API) support**
- All Squad modules now run as native Divi 5 block modules in the new Visual Builder, alongside continued support for the classic Divi 4 builder.
- Ported the Content, Creative, and Media modules to Divi 5 (Dual Button, Flip Box, Drop Cap Text, Glitch Text, Gradient Text, Scrolling Text, Typing Text, Star Rating, Breadcrumbs, Divider, Google Map, Business Hours, Image Mask, Image Gallery, Before & After Image Slider, Lottie, Video Popup, and more).
- Ported all Form Styler modules to Divi 5 — Contact Form 7, WPForms, Gravity Forms, Ninja Forms, Fluent Forms, and Forminator — and added new stylers for Formidable Forms, MetForm, and SureForms.
- Ported Post Grid and Post Element to Divi 5 with full parity: query options (recent/category/tag, exclude, current-loop/related posts), 16 element types, per-element icons and separators, numbered pagination, and AJAX load more.

**New Features:**
- New **Post Carousel** module — showcase posts in a touch-friendly Swiper carousel with responsive slides-per-view, gap, transition speed, autoplay (with pause-on-hover), loop, navigation arrows, pagination dots, and slide/fade/coverflow effects.
- New **Post Reading Time** dynamic-content module for Divi 5.

**Improvements:**
- Sub-element style controls now nest cleanly under named design groups (e.g. Slide Item, Form, Field, Submit Button) across all Divi 5 modules.
- Added a base style layer and brand-aligned icons to the Divi 5 modules.
- Expanded automated test coverage for the core and builder.

**Bug Fixes:**
- Fixed Divi 5 module frontend rendering (module registration timing and upload/gallery field handling).
- Fixed admin dashboard issues: version badges always showing "Nightly", incorrect Pro lifecycle detection, notice auto-slide timer, feature-list state handling, and removed dead navigation code.
- Numerous Divi 5 form-styler, asset-loading, and CSS-grouping fixes.

= 3.4.4 (24-08-2025) =

**New Features:**
- Enhanced ESLint configuration with WordPress coding standards support
- Improved build system stability with better error handling

**Improvements:**
- Simplified ESLint configuration for better performance and maintainability
- Enhanced code quality enforcement with proper TypeScript and React support
- Improved build process reliability and faster compilation times
- Optimized tab indentation and JSX support for WordPress coding standards

**Bug Fixes:**
- Fixed PHP sprintf format specifier error in Image_Mask module causing fatal errors
- Resolved ESLint maximum call stack size exceeded errors in multiple React components
- Fixed syntax errors in DualButton, FlipBox, Breadcrumbs, and PostGrid modules
- Removed problematic ESLint disable comments causing build failures
- Improved build process stability and eliminated infinite recursion issues

= 3.4.3 (22-07-2025) =

**New Features:**
- Added secondary mask shape option to Image Mask module for more creative designs
- Improved deprecated classes management with JSON-based caching system

**Improvements:**
- Simplified admin notice system with improved argument merging

**Bug Fixes:**
- Fixed admin notices not displaying properly in certain scenarios
- Resolved Image Mask module not rendering secondary shapes correctly
- Improved compatibility with latest WordPress standards
- Resolved deprecated classes loading conflicts

= 3.4.2 (20-06-2025) =

**New Features:**
- Added WPML compatibility for 8 new modules including Image Gallery, Video Popup, Forms modules, Google Map, and Gradient Text
- Updated wpml-config.xml with translatable attributes for all new modules

**Improvements:**
- Updated security policy with clear vulnerability reporting process
- Optimized module loading with improved performance for form modules

**Bug Fixes:**
- Fixed responsive issues in Flip Box module on mobile devices
- Fixed issues with Dual Button module not displaying correctly in the Frontend
- Fixed issues facing fatal errors in the admin area when try to update footer text
- Fixed issues with divider max-width default values
- Fixed issues to close notice banner in the admin area
- Resolved compatibility issues with WordPress 6.8

= 3.4.1 (01-05-2025) =

**New Features:**
- Added new SVG files for various components (banner, blog, feature, gallery, hero, logo, portfolio, product, service, square, team-member, and testimonial)

**Improvements:**
- Enhanced Divi detection system with improved theme and plugin identification
- Improved core initialization process with better error prevention

**Bug Fixes:**
- Fixed Ninja Forms compatibility with updated function name references
- Fixed circular dependency issues during plugin initialization
- Optimized plugin loading sequence for better performance


= 3.4.0 (21-04-2025) =

**Improvements:**
- Enhanced asset management system with additional filters for better extensibility
- Refactored admin notices system for better UI and React compatibility
- Added more extensibility points for developers
- Implemented Hookable interface and improved class loaders

**Bug Fixes:**
- Fixed "Call to undefined method" error in menu items localization
- Fixed modules loading issues
- Fixed extensions loading issues
- Fixed looping issues in notices system


= 3.3.5 (14-04-2025) =

**Bug Fixes:**
- Added error handling for style enqueuing in Assets.php
- Fixed missing periods in comments in Divi
- Updated theme and plugin version retrieval to use Divi::get_builder_version


= 3.3.4 (14-04-2025) =

**Bug Fixes:**
- Fixed an issue to load forms module not showing up in the visual builder and frontend.


= 3.3.3 (14-04-2025) =

**Improvements:**
- Enhanced Image Gallery module with improved type definitions, error handling, and styling
- Refactored PostGrid methods to improve type hinting and error handling


= 3.3.2 (05-04-2025) =

**Bug Fixes:**
- Fixed an issue in the modules management dashboard that pro modules were not showing up in the modules management dashboard.


= 3.3.1 (05-04-2025) =

**Bug Fixes:**
- Fixed an issue to resolve WordPress custom fields not displaying correctly in the Post Grid module.


= 3.3.0 (04-04-2025) =

**New Features:**
- Added new performance optimization framework for all modules
- Introduced improved module loading system for faster page rendering
- Enhanced developer API for better extensibility

**Bug Fixes:**
- Fixed inconsistent module behavior in certain edge cases
- Resolved compatibility issues with the latest Divi updates
- Fixed styling inconsistencies in form modules

**Improvements:**
- Enhanced code consistency and organization across multiple files
- Improved import order for better performance and maintainability
- Optimized core functionality for faster loading times
- Updated dependencies to latest compatible versions
- Improved compatibility with WordPress 6.7
- Reduced JavaScript bundle size for faster loading


= 3.2.5 (28-02-2025) =

**Bug Fixes:**
- Fixed: Resolve an issue in the Flip Box module where the front-end and back-end body text typography (paragraph) styles is not shown


= 3.2.4 (05-02-2025) =

**Bug Fixes:**
- Fixed: Resolve an issue to validate plugin requirements.

= 3.2.3 (03-02-2025) =

**Improvements:**
- Upgrade the publisher sdk to the latest version 2.11.0

= 3.2.2 (31-01-2025) =

**Bug Fixes:**
- Fixed a fatal error to activate the pro plugin

= 3.2.1 (20-01-2025) =

**Bug Fixes:**
- Fixed a fatal error in the SVG extension

= 3.2.0 (14-01-2025) =

**New Features:**
- Introduced requirements page when Divi or Divi plugin exists in the WordPress installation
- New Forminator Module added to form styler system

**Bug Fixes:**
- Fixed custom fields table missing issue in fresh setup
- Fixed admin menu icon display for Divi Squad menu
- Fixed Forms module not working with empty forms
- Fixed plugin activation and deactivation issues
- Fixed unwanted HTML markup rendering when icon is empty
- Fixed elements gap not working in Flipbox module
- Fixed Gradient Text module not working in Visual Builder
- Fixed image compare viewer in Before After Image Slider module
- Fixed type error in Star Rating module at Visual Builder
- Fixed Video Popup module frontend functionality
- Fixed render method requirement for Divi module components in JS
- Fixed admin menu background colors issue

**✨ Improvements:**
- Tested for compatibility with WordPress 6.7

= 3.1.9 (26-10-2024) =

**Bug Fixes:**
- Fixed an issue before after image slider is not working in the frontend

**Improvements:**
- Compatibility with wordpress 6.7

= 3.1.8 (26-10-2024) =

**New Features:**
– feat: linking option added to feature image in Divi Post Grid Module

= 3.1.7 (23-08-2024) =

**Bug Fixes:**
- Fixed an issue to save enable modules

= 3.1.6 (18-08-2024) =

**Bug Fixes:**
- Compatibility with pro plugin

= 3.1.5 (18-08-2024) =

**Bug Fixes:**
- Compatibility with pro plugin

= 3.1.4 (15-08-2024) =

**New Features:**
- feat: linking option added to title, author, avatar, categories and tags in Divi Post Grid Module
- New: Added compatibility with RankMath SEO plugin

= 3.1.3 (05-08-2024) =

**Bug Fixes:**
- Fix: Issues with advanced fields(border) in the latest Divi theme version
- Fix: An issue with custom fields for Divi Post Grid Module and Divi CPT Grid Module
- Fix: An issue with Pro plugin compatibility with the latest version of the Lite plugin


= 3.1.2 (04-08-2024) =

**Bug Fixes:**
- Bug fixing and compatibility with latest pro plugin


= 3.1.1 (04-08-2024) =

**Improvements:**

- feat(freemius): fixed an issue to receive update from freemius server
- feat(admin-app): update badges with nightly, lite and pro
- compatibility: ensure older version from 1.0.0 working with current version


= 3.1.0 (01-08-2024) =

**New Features:**

- New Elements (custom icon, custom fields, custom fields(acf)) Divi Post Grid Module
- New support for custom fields including acf with Divi Post Grid Module
- New languages (Arabic, Dutch, English (UK), French (Canada), French (France), German, German (Austria), Spanish (Peru), Spanish (Spain) ) for Divi Squad Modules Lite plugin
- Update languages (Bengali (Bangladesh), Portuguese (Brazil)) for Divi Squad Modules Lite plugin

**Bug Fixes:**

- Fix: Filter by tags is not working in frontend with Divi Post Grid Module
- Fix: An fatal errors issue when old vesion of Divi Squad Modules Pro is installed with Divi Squad Modules Lite

**Improvements:**

- Improved: Divi Squad Modules Admin UI (More flexible, more user-friendly)
- Improved: Security issues, Data sanitization and validation for all modules
- Improved: Squad Copy Extension.
- Tested for compatibility with WordPress (6.7 beta)
- Tested for compatibility with WordPress (6.6.1 stable)
- Tested for compatibility with Divi Theme (4.27.0)
- Tested for compatibility with Contact Form 7 (5.9.8)
- Tested for compatibility with Fluent Forms (5.1.20)
- Tested for compatibility with WPForms (1.8.9.6)
- Tested for compatibility with Gravity Forms (2.8.15)
- Tested for compatibility with Ninja Forms (3.8.9)


= 3.0.1 (16-07-2024) =

**Bug Fixes:**

- Fix: Fatal error when activating the pro plugin.


= 3.0.0 (23-06-2024) =

**New Features:**

- New Brand logo for Squad Modules Lite
- Load More Feature for Divi Post Grid Module
- New Issue or Feature request form through the GitHub repository

**Bug Fixes:**

- Fix: Icon Vertical alignment does not work properly in the Divi Advanced List Module (PRO)
- Fix: Item inner gap does working in builder for Advanced Blurb Module (PRO)
- Fix: Fatal error when show lightbox feature is enabled in the Divi Image Gallery Module
- Fix: The lightbox is not working in The Divi Image Gallery Module
- Fix: Unable to detect pro version installation from core plugin
- Fix: Separator and Before icon does not show properly in Breadcrumbs Module
- Fix: The plugin review banner is not closing properly in WordPress Playground.
- Fix: Pro plugin is not syncing with the lite plugin.
- Fix: Squad Module asset loaded by theme unexpectedly
- Fix: Fatal error when divi want to enqueue asset file out of squad page
- Fix: Affiliate page does not working in WordPress Playground due to a fatal error, currently it turn off here only.
- Fix: Uncaught Error: Call to undefined function DiviSquad\Utils\get_current_screen().
- Fix: Modules are not saved properly when use try to save particular modules.
- Fix: Divi Post Grid Module is not working properly.

**✨ Improvements:**

- Improved: Squad Modules Pro Admin UI (Header, Error Page) (More flexible, more user-friendly)
- Improved: Data sanitization and validation for all modules
- Improved: Squad Copy Extension.
- Tested for compatibility with WordPress 6.6 (beta)
- Tested for compatibility with WordPress 6.5.4 (stable)
- Tested for compatibility with Divi Theme 4.25.2
- Tested for compatibility with Contact Form 7 5.9.6
- Tested for compatibility with Fluent Forms 5.1.19
- Tested for compatibility with WPForms 1.8.8.3
- Tested for compatibility with Gravity Forms 2.8.11
- Tested for compatibility with Ninja Forms 3.8.4


= 2.1.2 (24-04-2024) =

**New Features:**

- Introduced form field width feature for WPForms module
- Introduced new font extensions support for Font Extensions

**Bug Fixes:**

- Fixed: the post grid show all the posts instead of the selected category.

**✨ Improvements:**

* Tested for compatibility with Divi Theme 4.25.0
* Tested for compatibility with WordPress 6.5.2


= 2.1.1 (09-04-2024) =

**Bug Fixes:**

- Updated: Ninja Forms now properly displayed in the forms list.
- Resolved: Plugin review not closing properly.
- Resolved: Incorrect XHR URL for pro-activation, review, and license pages.
- Removed: Third-party asset from Squad pages for improved performance.
- Fixed: Issue with the feature lock button functionality.
- Fixed: Squad features (modules and extensions) not loading initially.
- Fixed: Background fields not functioning as expected.
- Fixed: Styles not applying correctly in the WP Forms Module.

= 2.1.0 (03-04-2024) =

**New Features:**

* Introduced loading preview for modules and extensions at the dashboard
* Introduced available professional modules in the lite version for preview
* Introduced upgrade to professional plan feature for the lite version
* Introduced Plugin localization support with JSON format.

**Bug Fixes:**

* Fixed the plugin name in the plugin dashboard at affiliate page.
* Fixed all dependent modules (Contact Form 7, Fluent Forms, Ninja Forms, WP Forms, Gravity Forms) is not loaded in the divi builder event when the module is active.
* Fixed the issue with the Fluent Form Styler module where the form is not styled properly.
* Fixed the issue with the Contact Form 7 Styler module where the form button is not styled properly.
* Fixed the issue with the WP Form Styler module where the module will be crashed when user selects a form.
* Fixed the issue with Third-party plugin break the ui of the Divi Squad Dashboard.


**✨ Improvements:**

* Tested for compatibility with Divi Theme 4.24.3
* Tested for compatibility with WordPress 6.2.

= 2.0.0 (01-02-2024) =

**New Features:**

* Introduce Squad Modules Pro
* Introduce the Author Avatar element for Post Grid
* Loco translate support

**✨ Improvements:**

* WordPress 6.5.0 compatible
* Support for performant translation files in PHP format


= 1.4.11 (15-01-2023) =

**New Features:**

* **Special Character support:** Character support for Special alphabet (Post Grid Module)

**✨ Improvements:**

* **Elements direction:** Improved elements direction on Post Element (Post Grid Module)

= 1.4.10 (13-01-2023) =

**✨ Improvements:**

* **Module: Post Grid:** Improve the post-content support with special character

= 1.4.9 (11-01-2023) =

**✨ Improvements:**

* **Extension: Copy:** Improved the Copy Extension
* **Modules locales support:** Enhanced localization support for modules.
* **Managers (Modules & Extensions):** Improved the managers for Modules and Extensions
* **Spacing Generation:** Improved the spacing generation for all form stylers.

= 1.4.8 (06-01-2023) =

**New Features:**

* **Extension: Copy Post or Page (Multisite Supported):** The best extension to easily make duplicates of your posts & pages them in one go.
* **Image Gallery Module: Overlay Feature with lightbox:** Create captivating image displays with the new Overlay Feature, complete with lightbox functionality for immersive viewing experiences.
* **Image Gallery Module: Image orientation and Count:** Take control of your gallery's visual layout with Image Orientation and Count Features align images perfectly and showcase the exact number you desire.

**✨ Improvements:**

* **Compatibility with Divi 4.23.3 & 4.23.4:** Rest assured, Squad Modules plays nice with the latest Divi update.
* **Modules locales support:** Enhanced localization support for modules.
* **Plugin Preview Banner:** We've made it user-friendly for yours.

= 1.4.7 (21-12-2023) =

**New Features:**

* **Preview Button support in the WP Plugin Directory:** Now you can see your modules in action right from the plugin page!
* **Portuguese (Brazil) locales:** Grande abraço to Gianni Marinho for contributing this! 🇧🇷
* **Divi Google Map Module:** Add beautiful and interactive Google Maps to your Divi pages with ease.
* **Divi Form Styler: Ninja Forms & Fluent Forms:** Style your **Ninja Forms**, and **Fluent Forms** forms effortlessly with Squad's powerful styling tools.

**✨ Improvements:**

* **Compatibility with Divi 4.23.2:** Rest assured, Squad Modules plays nice with the latest Divi update.
* **Squad Admin UI:** We've made managing your modules even smoother and more intuitive.
* **Checkbox & radio field styles for Contact Form 7, Gravity Forms, WPForms:** Style your forms like a pro, no matter which plugin you use.
* **Simplified locales for all languages:** We've streamlined translations for a better user experience in every language.

**Bug Fixes:**

* **Video Popup Module translation issue:** Say goodbye to garbled translations!
* **Star Rating Module ratings not showing:** Your star ratings will shine bright again!
* **Improved memory usage and loading time:** Squad Modules now runs even faster and lighter.
* **Improved plugin review actions:** We've made it easier to leave us a review (with stunning screenshots, of course ).

= 1.4.6 (13-11-2023) =
* Fixed: Squad Dashboard is broken
* Fixed: PHP Log for the Star Rating Module
* Improved: Breadcrumbs, Star Rating, Typed Text Modules

= 1.4.5 (12-11-2023) =
* Fixed: External url cors origin issue in the lottie module
* Fixed: Browser console log when light box not enabled in gallery module
* Fixed: WordPress Playground issue
* Compatibility: Tested up to WordPress 6.4.1

= 1.4.4 (04-11-2023) =
* Improved: Performance and Optimization
* Improved: Post Grid, Video Popup Modules

= 1.4.3 (28-10-2023) =
* Improved: Admin UI with new floating control buttons (More flexible, more user-friendly)

= 1.4.2 (26-10-2023) =
* Improved: Squad Modules Lite Admin UI (More flexible, more user-friendly)
* Compatibility: Tested up to WordPress 6.4

= 1.4.1 (23-10-2023) =
* New: Introduced the Divi Video Popup Module
* Improved: Divider module
* Compatibility: Tested up to Divi 4.23.0

= 1.4.0 (14-10-2023) =
* New: Introduced the Divi Star Rating Module
* New: Introduced the Divi Breadcrumbs Module
* New: Introduced the Divi Drop Cap Text Module
* Improved: Dual Button, Post Grid, WPForms Styler, Gravity Form Styler, Contact Form 7 Styler, Flip Box, Before After Image Slider modules
* Improved: Squad Modules Lite Admin UI (More flexible, more user-friendly)

= 1.3.2 (05-10-2023) =
* Added: Admin footer text at Squad Modules Lite Dashboard area
* Fixed: Compatibility with Multi-site and WordPress Playground
* Fixed: Review banner is not close properly in some wp installations

= 1.3.1 (01-10-2023) =
* Improved: Squad Modules Lite Admin UI (More flexible, more user-friendly)

= 1.3.0 (30-09-2023) =
* New: Introduced: Divi Scrolling Text Module
* Improved: Divi Image Gallery Module, Divi Glitch Text Module
* Improved: Squad Modules Lite Admin UI (More flexible, more user-friendly)

= 1.2.6 (23-09-2023) =
* New: Introduced the Divi Gradient Text module
* Added Support systems in Squad Modules Lite pages at admin area
* Improved: Review Banner
* Improved: Divi Advanced Divider Module

= 1.2.5 (22-09-2023) =
* Fixed: Feedback banner does not close properly.

= 1.2.4 (16-09-2023) =
* Improved: WordPress and PHP compatibility check

= 1.2.3 (15-09-2023) =
* New: Introduced the Divi Glitch Text module
* Improved all modules
* Improved: Modules management dashboard

= 1.2.2 (08-09-2023) =
* New: Introduced the Post Reading Time Module
* Improved: Divi Advanced Divider, Divi Image Gallery, Divi Post Grid modules
* Improved: Admin Panel

= 1.2.1 (01-09-2023) =
* Fixed: Plugin Actions links are not added.

= 1.2.0 (01-09-2023) =
* New: Introduced the Divi Image Gallery Module
* New: Introduced the Divi Form Styler: Contact Form 7
* New: Introduced the Divi Form Styler: WPForms
* New: Introduced the Divi Form Styler: Gravity Forms
* New: Introduced the Extensions: Divi Library Shortcode, Font Upload, JSON Upload and SVG Upload
* Improved: Business Hours, Post Grid modules

= 1.1.0 (22-07-2023) =
* Compatibility: Tested up to WordPress 6.3
* Improved: Divi Business Hours, Divi Post Grid, Divi Dual Button modules

= 1.0.5 (12-07-2023) =
* Improved: Icon feature for all modules
* Improved: Divi Lottie Module and Divi Typing Text module

= 1.0.4 (11-07-2023) =
* Added: Multi Language support for all modules.
* Added: Translation ready for Bangla (Bangladesh), English (US).
* Improved: Divi Post Grid Module.
* Improved: Plugin readme file.

= 1.0.3 (24-06-2023) =
* Locked: Premium features inclusion and Pro with ads.

= 1.0.2 (21-06-2023) =
* Improved: Divi Post Grid, Divi Dual-Button Modules.

= 1.0.1 (20-06-2023) =
* Added Assets for wp plugin directory.
* Improved: Divi Typing Text, Divi Before After Image Slider, Divi Lottie, Divi Advanced Divider Modules.

= 1.0.0 (19-06-2023) =
* Initial release of Squad Modules Lite.
* Added 9 elegant Divi modules including Divi Advanced Divider Module, Divi Before After Image Slider Module, Divi Business Hours Module, Divi Dual Button Module, Divi Flip Box Module, Divi Image Mask Module, Divi Lottie Module, Divi Typing Text Module and Divi Post Grid Module.
* Basic customization options.
* Tested for compatibility with Divi 4.9.2.
* Tested for compatibility with WordPress 6.2.
